/*
    Copyright (C) 2013 Nicola L.C. Talbot
    www.dickimaw-books.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
package com.dickimawbooks.makejmlrbookgui;

import java.io.File;
import java.io.IOException;

import com.dickimawbooks.texparserlib.*;
import com.dickimawbooks.texparserlib.latex.*;
import com.dickimawbooks.texparserlib.latex2latex.*;

public class ForewordParser extends NewBookParser
{
   public ForewordParser(TeXApp texApp, File outDir)
    throws IOException
   {
      super(texApp, outDir);
   }

   protected void addPredefined()
   {
      super.addPredefined();

      putControlSequence(new SignOff("authorsignoff"));
   }

   public void endParse(File file)
    throws IOException
   {
      if (doSignOff)
      {
         writeln("");
         writeln("\\begin{authorsignoff}");

         writeln("\\Author{Insert Name Here\\\\");
         writeln("Insert Affiliation Here}");

         writeln("\\end{authorsignoff}");
      }

      super.endParse(file);
   }
}

