/*
    Copyright (C) 2013 Nicola L.C. Talbot
    www.dickimaw-books.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
package com.dickimawbooks.makejmlrbookgui;

import java.io.IOException;
import javax.swing.JEditorPane;
import javax.swing.text.html.HTMLDocument;
import javax.swing.text.BadLocationException;

public class MessagePane extends JEditorPane
{
   public MessagePane()
   {
      super();
      setContentType("text/html");
      setEditable(false);

      clearMessages();
   }

   public void clearMessages()
   {
      setText("<html><body><div id=\"main\"></div></body></html>");
   }

   public void update(String message)
   {
      HTMLDocument doc = (HTMLDocument)getDocument();

      try
      {
         doc.insertBeforeEnd(doc.getElement("main"), message);
      }
      catch (IOException e)
      {
         MakeJmlrBookGUI.debug(e);
      }
      catch (BadLocationException e)
      {
         MakeJmlrBookGUI.debug(e);
      }
   }

}
