/*
    Copyright (C) 2013 Nicola L.C. Talbot
    www.dickimaw-books.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*/
package com.dickimawbooks.makejmlrbookgui.newbook;

public class TitleInfoData
{
   public TitleInfoData(String tag, Object arg, boolean required, int type)
   {
      this(tag, arg, required, type, null);
   }

   public TitleInfoData(String tag, Object arg, boolean required, int type,
     Object defaultValue)
   {
      this.tag = tag;
      this.arg = arg;
      this.required = required;
      this.type = type;
      this.defaultValue = defaultValue;
   }

   public String getTag()
   {
      return tag;
   }

   public Object getArg()
   {
      return arg;
   }

   public boolean isRequired()
   {
      return required;
   }

   public int getType()
   {
      return type;
   }

   public Object getDefaultValue()
   {
      return defaultValue;
   }

   private String tag;
   private Object arg;
   private boolean required;
   private int type;
   private Object defaultValue;
}
